Bug 79219 - xinetd in tight CPU loop
Summary: xinetd in tight CPU loop
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-07 20:37 UTC by Jerome
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-17 16:39:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jerome 2002-12-07 20:37:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
At least xinetd 2.3.7-2 and latest...
xinetd will hang in a tight loop (99% CPU usage) when a service is missing the
closing bracket in its configuration file under /etc/xinetd.d.

Example:
service ftp
{
......
# missing }

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Pick up a service config file
2. Remove the closing bracket
3. service xinetd restart
	

Actual Results:  xinetd process in tight CPU loop

Expected Results:  xinetd process idle

Additionally: service containing the error not to be started with error reported
somewhere...


Additional info:

Comment 1 Jay Fenlason 2003-01-17 16:39:37 UTC
Can you try the xinetd-2.3.10-1 rpm I just made?  It's in rawhide and WORKSFORME

Comment 2 Jerome 2003-01-20 05:35:58 UTC
Jay,
I tried your latest xinetd rpm (2.3.10-1 on rawhide) and I confirm that it 
corrects the issue. I also noticed the entry in the message logfile.
Good job and thank you,
Jerome



Note You need to log in before you can comment on or make changes to this bug.